version: '3'
services:
  react-app:
    build:
      context: ./react-app
    ports:
      - "8080:8080"
    volumes:
      - ./react-app:/app
    depends_on:
      - symfony-app

  symfony-app:
    build:
      context: ./symfony-app
    ports:
      - "80:80"
    volumes:
      - ./symfony-app:/var/www/html
    depends_on:
      - database
    environment:
      DATABASE_URL: postgres://myuser:mypassword@database:5432/mydatabase

  database:
    image: postgres:13
    environment:
      POSTGRES_DB: mydatabase
      POSTGRES_USER: myuser
      POSTGRES_PASSWORD: mypassword
    ports:
      - "5432:5432"
    volumes:
      - ./postgresql-data:/var/lib/postgresql/data